#pragma once

#include "EHS.h"

namespace ehs
{
	enum class DataType : UInt_8
	{
		LDOUBLE,
		DOUBLE,
		SINT_64,
		UINT_64,
		FLOAT,
		SINT_32,
		UINT_32,
		SINT_24,
		UINT_24,
		SINT_16,
		UINT_16,
		SINT_8,
		UINT_8
	};

	DataType FromAudioBitDepth(const UInt_16 bitDepth);

	UInt_8 ToByteDepth(const DataType type);

	UInt_8 ToBitDepth(const DataType type);
}